
Packaging - Bug #34767

unable to sync repository

04/12/2022 10:25 PM - Alexander Maslennikov

Status: New   

Priority: Normal   

Assignee:    

Category: RPMs   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Unable to sync repository https://yum.theforeman.org/releases/latest/el8/x86_64/

using pulp3.

Synchronization task crashes with an error:

failed; A file located at the url https://yum.theforeman.org/releases/latest/el8/x86_64/rubygem-railties-6.0.3.7-1.el8.noarch.rpm failed

validation due to checksum.

$ wget 

https://yum.theforeman.org/releases/latest/el8/x86_64/repodata/416ed5f4f18dcca5194d6167f771f77eddb3fc4a1cd0a968bc79ca08d1

1a190c-primary.xml.gz -O primary.xml.gz

$ sha256sum rubygem-railties-6.0.3.7-1.el8.noarch.rpm

dc8c05e97a9c095ba4eaf1b5da550d6289028106bb70550b1b200f6715acfc9d  rubygem-railties-6.0.3.7-1.el8.noarch.rpm

$ wget 

https://yum.theforeman.org/releases/latest/el8/x86_64/repodata/416ed5f4f18dcca5194d6167f771f77eddb3fc4a1cd0a968bc79ca08d1

1a190c-primary.xml.gz -O primary.xml.gz

$ zgrep -A 3 '<name>rubygem-railties</name>' primary.xml.gz

<name>rubygem-railties</name>

<arch>noarch</arch>

<version epoch="0" ver="6.0.3.7" rel="1.el8"/>

<checksum type="sha256" pkgid="YES">fe70fc5d8c3fadcecb35c43d3c9455fa8444e36a8b472ee7df0fc3b0134aa28b</checksum>

So the checksums don't match.

History

#1 - 04/12/2022 10:36 PM - Alexander Maslennikov

- Category set to RPMs

#2 - 04/14/2022 09:28 AM - Ewoud Kohl van Wijngaarden

I wonder if this is a caching issue. Our CDN does cache data from the actual webserver and latest is a symlink we do change. I suspect the cache

isn't purged properly when we do.

Personally I'd recommend avoiding it by specifying the exact version. In https://community.theforeman.org/t/drop-stable-link-in-deb-repos/9960 we

decided to drop the similar "stable" version for debs. Perhaps it's time to do the same for RPMs.
